 IF EXISTS
(
    SELECT 1
    FROM SYS.VIEWS
    WHERE NAME = 'V_EST_PROD_EST_SNGPC_LOTE_TENTACLE'
)
    BEGIN
        DROP VIEW V_EST_PROD_EST_SNGPC_LOTE_TENTACLE;
    END;
GO
CREATE VIEW V_EST_PROD_EST_SNGPC_LOTE_TENTACLE
AS 
     SELECT CD_EMP,
            CD_LOTE,
            CD_PROD,
            NR_LOTE,
            CASE WHEN ISDATE (VALIDADE)=1 THEN
				VALIDADE 		    
			ELSE
				CONVERT(DATE,GETDATE()+30) 
			END AS VALIDADE,
            REGISTRO_MS,
            CASE WHEN ISDATE(VALIDADE)=1 THEN
				(VALIDADE - 120) 
		    ELSE
				CONVERT(DATE,GETDATE()-120) 
			END AS DT_FABR 
     FROM EST_PROD_EST_SNGPC_LOTE;